program FPLGERDS;

uses
  Forms,
  MDIFrame in 'MDIFrame.pas' {FrameForm},
  MDIEdit in 'MDIEdit.pas' {EditForm},
  Windows,
  SysUtils,
  Messages,
  About in 'About.pas' {AboutBox},
  Inference in 'Inference.pas';

var NewFont : HFONT;

function EnumFontsProc(var LogFont: TLogFont; var TextMetric: TTextMetric;
  FontType: Integer; Data: Pointer): Integer; stdcall;
begin
  NewFont := CreateFontIndirect(LogFont);
  Result := 1;
end;


{$R *.RES}
var s : string;
begin
  DecimalSeparator := '.';
  s := ExtractFilePath(Application.ExeName) + 'myfont.ttf';
  AddFontResource(PChar(s));
  EnumFonts(GetDC(0),'FPLogic', @EnumFontsProc, nil);
  Application.Title := 'FPL GERDS';
  Application.CreateForm(TFrameForm, FrameForm);
  Application.CreateForm(TEditForm, EditForm);
  Application.CreateForm(TAboutBox, AboutBox);

  Application.Run;
  DeleteObject(NewFont);
  RemoveFontResource(PChar(s));
end.
